import '@material/web/icon/icon.js';
import '@material/web/textfield/filled-text-field.js';
import '@material/web/button/elevated-button.js';
import { LitElement } from 'lit';
export declare class PlayGroupInfoBasic extends LitElement {
    static styles: import("lit").CSSResult[];
    playGroupId?: string;
    playGroup: any;
    private link?;
    render(): import("lit-html").TemplateResult<1>;
    updated(changes: any): void;
    firstUpdated(): void;
    refresh(): Promise<void>;
    createPlayGroup(): Promise<void>;
    updateGroup(): Promise<void>;
    deletePlayGroup(): Promise<void>;
    close(): void;
}
